/*******************************************************************************
 * FoxGameViewportClient generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxGameViewportClient extends GameViewportClient within Engine
    transient
    native
    config(Game);

var const float InputLockTimeOnGainFocus;
var transient float InputLockTimeRemaining;
var FoxWebInteraction ViewportWebInteraction;

function DrawTransition(Canvas Canvas)
{
    switch(Outer.TransitionType)
    {
        // End:0x4C
        case 3:
            DrawTransitionMessage(Canvas, SavingMessage);
            // End:0x7B
            break;
        // End:0x70
        case 5:
            DrawTransitionMessage(Canvas, PrecachingMessage);
            // End:0x7B
            break;
        // End:0x78
        case 1:
            // End:0x7B
            break;
        // End:0xFFFF
        default:
            //return;
    }    
}

event SetProgressMessage(Engine.PlayerController.EProgressMessageType MessageType, string Message, optional string Title, optional bool bIgnoreFutureNetworkMessages)
{
    // End:0x45
    if(MessageType != 1)
    {
        super.SetProgressMessage(MessageType, Message, Title, bIgnoreFutureNetworkMessages);
    }
    //return;    
}

function NotifyConnectionError(Engine.PlayerController.EProgressMessageType MessageType, optional string Message, optional string Title)
{
    local FoxPC PC;
    local WorldInfo WI;

    Message = Localize("Errors", "ConnectionFailed", "Engine");
    Title = Localize("Errors", "ConnectionFailed_Title", "Engine");
    WI = class'Engine'.static.GetCurrentWorldInfo();
    // End:0x112
    if(WI.NetMode != NM_Standalone)
    {
        // End:0x112
        if(WI.Game != none)
        {
            WI.Game.bHasNetworkError = true;
        }
    }
    // End:0x194
    foreach Outer.GetCurrentWorldInfo().LocalPlayerControllers(class'FoxPC', PC)
    {
        PC.ClientSetProgressMessage(4, Message, Title);        
        return;        
    }    
    class'FoxPC'.static.SetConnectionError(Message);
    //return;    
}

function GameSessionEnded()
{
    local FoxPC PC;

    // End:0x185
    foreach Outer.GetCurrentWorldInfo().LocalPlayerControllers(class'FoxPC', PC)
    {
        // End:0xA2
        if(PC.PlayerReplicationInfo != none)
        {
            PC.PlayerReplicationInfo.UnregisterPlayerFromSession();
        }
        PC.MyFoxHud.DynamicUI = none;
        // End:0x184
        if(PC.DynamicUI != none)
        {
            PC.DynamicUI.Cleanup();
            PC.DynamicUI.Close();
            PC.DynamicUI = none;
        }        
    }    
    super.GameSessionEnded();
    //return;    
}

event bool Init(out string OutError)
{
    // End:0x1B
    if(super.Init(OutError) == false)
    {
        return false;
    }
    ViewportWebInteraction = new (self) class'FoxWebInteraction';
    // End:0xA2
    if((InsertInteraction(ViewportWebInteraction, 1)) == -1)
    {
        OutError = "Failed to add interaction to GlobalInteractions array:" @ string(ViewportWebInteraction);
        return false;
    }
    return true;
    //return ReturnValue;    
}

function NotifyGainFocus()
{
    InputLockTimeRemaining = InputLockTimeOnGainFocus;
    //return;    
}

defaultproperties
{
    InputLockTimeOnGainFocus=0.010
    UIControllerClass=class'FoxUIInteraction'
    GFxUIControllerClass=class'FoxMovieUIInteraction'
}